Subject: bug#26490: 25.1; package-buffer-info is incorrectly case-insensitive

From: Stefan Kangas <[email-masked]>
Date: Sun, 20 Oct 2019 16:16:58 +0200

Stefan Kangas <[email-masked]> writes:

> I see your point.  How about issuing a warning instead?  That should
> be sufficiently discouraging for package authors, while also allowing
> us to drop this requirement at some point in the future.
>
> I've attached a patch which I believe would do this in a reasonable way.

Ping!  Does anyone have any objections to this change, or any
comments?  I've attached the latest version of the patch.

In summary, it makes it possible to install packages even if they are
missing the terminating ";; foo.el ends here" line.  Instead, we raise
a warning for such packages.

Best regards,
Stefan Kangas